Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.objects
Class PdfTextString

    java.lang.Object
      org.pdfclown.objects.PdfObject
          org.pdfclown.objects.PdfDataObject
              org.pdfclown.objects.PdfDirectObject
                  org.pdfclown.objects.PdfSimpleObject<byte[]>
                      org.pdfclown.objects.PdfString
                          org.pdfclown.objects.PdfTextString

All Implemented Interfaces:
  Cloneable, Comparable<PdfDirectObject>, IVisitable, IDataWrapper

    public final class PdfTextString

extends PdfString

PDF text string object [PDF:1.6:3.8.1].

Text strings are meaningful only as part of the document hierarchy; they cannot appear within content streams. They represent information that is intended to be human-readable.

Since:
  0.0.6
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.objects.PdfString
`PdfString.SerializationModeEnum`

Field Summary
`static PdfTextString` | `Default`

Constructor Summary
`PdfTextString(byte[] rawValue)`
`PdfTextString(byte[] rawValue, PdfString.SerializationModeEnum serializationMode)`
`PdfTextString(String value)`
`PdfTextString(String value, PdfString.SerializationModeEnum serializationMode)`

Method Summary
`PdfObject` | `accept(IVisitor visitor, Object data)` Accepts a visit.
`static PdfTextString` | `get(String value)` Gets the object equivalent to the given value.
`String` | `getValue()` Gets the high-level representation of the value.
`protected void` | `setRawValue(byte[] value)`
`protected void` | `setValue(Object value)`

Methods inherited from class org.pdfclown.objects.PdfString
`compareTo, getSerializationMode, getStringValue, setSerializationMode, toByteArray, toString, writeTo`

Methods inherited from class org.pdfclown.objects.PdfSimpleObject
`clone, equals, get, getParent, getRawValue, getValue, getValue, hashCode, isUpdateable, isUpdated, isVirtual, setUpdateable, setUpdated, setVirtual, swap`

Methods inherited from class org.pdfclown.objects.PdfObject
`clone, clone, getContainer, getDataContainer, getFile, getIndirectObject, getReference, resolve, resolve, unresolve, unresolve, update`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Default

    public static final PdfTextString Default

Constructor Detail

### PdfTextString

    public PdfTextString(byte[] rawValue)

### PdfTextString

    public PdfTextString(String value)

### PdfTextString

    public PdfTextString(byte[] rawValue,
                         PdfString.SerializationModeEnum serializationMode)

### PdfTextString

    public PdfTextString(String value,
                         PdfString.SerializationModeEnum serializationMode)

Method Detail

### get

    public static PdfTextString get(String value)

  Gets the object equivalent to the given value.

### accept

    public PdfObject accept(IVisitor visitor,
                            Object data)

  Description copied from interface: `IVisitable`
  Accepts a visit.

  Specified by:
    `accept` in interface `IVisitable`
  Overrides:
    `accept` in class `PdfString`
  Parameters:
    `visitor` - Visiting object.
    `data` - Supplemental data.
  Returns:
    Result object.

### getValue

    public String getValue()

  Description copied from class: `PdfSimpleObject`
  Gets the high-level representation of the value.

  Overrides:
    `getValue` in class `PdfString`

### setRawValue

    protected void setRawValue(byte[] value)

  Overrides:
    `setRawValue` in class `PdfSimpleObject<byte[]>`
  See Also:
    `PdfSimpleObject.getRawValue()`

### setValue

    protected void setValue(Object value)

  Overrides:
    `setValue` in class `PdfString`
  See Also:
    `PdfSimpleObject.getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.